Package com.trilead.ssh2.signature

## Class RSAPrivateKey

- java.lang.Object
- - com.trilead.ssh2.signature.RSAPrivateKey

    public class RSAPrivateKey
    extends java.lang.Object

RSAPrivateKey.

### Constructor Summary

Constructors
`RSAPrivateKey​(java.math.BigInteger d, java.math.BigInteger e, java.math.BigInteger n)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigInteger` `getD()`
`java.math.BigInteger` `getE()`
`java.math.BigInteger` `getN()`
`RSAPublicKey` `getPublicKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSAPrivateKey

    public RSAPrivateKey​(java.math.BigInteger d,
                         java.math.BigInteger e,
                         java.math.BigInteger n)

### Method Detail

#### getD

    public java.math.BigInteger getD()

#### getE

    public java.math.BigInteger getE()

#### getN

    public java.math.BigInteger getN()

#### getPublicKey

    public RSAPublicKey getPublicKey()